
local tech_table = 
{
    {
        name = "logistics-3",
        recipes = 
        {
            "ultra-fast-inserter",
        },
    },
    {
        name = "construction-robotics",
        recipes = 
        {
            "advanced-repair-pack",
        },
    },
}

-- Compact solar energy tech:
for i = 1, 4 do
    table.insert(tech_table, 
    {
        name = i == 1 and "compact-solar-energy" or "compact-solar-energy-" .. i,
        recipes = 
        {
            "solar-panel-mk" .. i - 1,
            "accumulator-mk" .. i - 1,
            i == 1 and "substation-mk2",
        },
    })
end

-- Compact material processing:
for i = 1, 3 do
    table.insert(tech_table, 
    {
        name = i == 1 and "compact-material-processing" or "compact-material-processing-" .. i,
        recipes = 
        {
            "electric-furnace-mk" .. i - 1,
            "mining-drill-mk" .. i - 1,
        },
    })
end

-- Compact oil processing:
for i = 1, 3 do
    table.insert(tech_table, 
    {
        name = i == 1 and "compact-material-processing" or "compact-material-processing-" .. i,
        recipes = 
        {
            "refinery-mk" .. i - 1,
            "chemical-plant-mk" .. i - 1,
            "pipe-mk" .. i - 1,
            "pipe-to-ground-mk" .. i - 1,
            "storage-tank-mk" .. i - 1,
            "pump-mk" .. i - 1,
        },
    })
end

for _, force in pairs(game.forces) do
    force.reset_recipes()
    force.reset_technologies()
    
    -- create tech/recipe table once
    local techs = force.technologies
    local recipes = force.recipes
    
    for _, entry in ipairs(tech_table) do
        if techs[entry.name] and techs[entry.name].researched then
            for k, v in ipairs(entry.recipes) do
                if recipes[v] then
                    recipes[v].enabled = true
                end
            end
        end
    end
    
end
