
local substation_default_entity = data.raw["electric-pole"].substation
local substation_default_item   = data.raw.item.substation

local substation_base_health        = substation_default_entity.max_health
local substation_base_wire_distance = substation_default_entity.maximum_wire_distance
local substation_base_area_distance = substation_default_entity.supply_area_distance

local Substation_MK2 = 
{
    {
        type = "electric-pole",
        name = "substation-mk2",
        icon = "__Compact_Factory__/graphics/substation_mk2/substation-mk2-icon.png",
        based_on = substation_default_entity,
        minable = { result = "substation-mk2" },
        max_health = substation_base_health * 2,
        maximum_wire_distance = substation_base_wire_distance * 2,
        supply_area_distance = substation_base_area_distance * 2,
        pictures =
        {
            filename = "__Compact_Factory__/graphics/substation_mk2/substation-mk2.png",
        },
        fast_replaceable_group = "electric-pole-2x2",
    },
    {
        type = "item",
        name = "substation-mk2",
        icon = "__Compact_Factory__/graphics/substation_mk2/substation-mk2-icon.png",
        based_on = substation_default_item,
        order = "a[energy]-e",
        place_result = "substation-mk2",
    },
    {
        type = "recipe",
        energy_required = 1,
        name = "substation-mk2",
        enabled = "false",
        ingredients =
        {
            {"substation", 1},
            {"processing-unit", 2},
            {"effectivity-module", 1},
        },
        result = "substation-mk2",
    },
}

data_extend(Substation_MK2)
  