
local ultra_fast_inserter_default_entity = data.raw.inserter["fast-inserter"]
local ultra_fast_inserter_default_item   = data.raw.item["fast-inserter"]

local ultra_fast_inserter_base_health = ultra_fast_inserter_default_entity.max_health

local UltraFastInserter = 
{
    {
        type = "inserter",
        name = "ultra-fast-inserter",
        icon = "__Compact_Factory__/graphics/ultra_fast_inserter/ultra-fast-inserter-icon.png",
        based_on = ultra_fast_inserter_default_entity,
        minable = { result = "ultra-fast-inserter" },
        max_health = ultra_fast_inserter_base_health,
        energy_per_movement = 4650,
        energy_per_rotation = 4650,
        energy_source = { drain = "0.5kW" },
        extension_speed = 0.10,
        rotation_speed = 0.085,
        hand_base_picture   = { filename = "__Compact_Factory__/graphics/ultra_fast_inserter/ultra-fast-inserter-hand-base.png" },
        hand_closed_picture = { filename = "__Compact_Factory__/graphics/ultra_fast_inserter/ultra-fast-inserter-hand-closed.png" },
        hand_open_picture   = { filename = "__Compact_Factory__/graphics/ultra_fast_inserter/ultra-fast-inserter-hand-open.png" },
        platform_picture =
        {
            sheet = { filename = "__Compact_Factory__/graphics/ultra_fast_inserter/ultra-fast-inserter-platform.png" },
        }
    },
    {
        type = "item",
        name = "ultra-fast-inserter",
        icon = "__Compact_Factory__/graphics/ultra_fast_inserter/ultra-fast-inserter-icon.png",
        based_on = ultra_fast_inserter_default_item,
        flags = {"goes-to-quickbar"},
        subgroup = "inserter",
        order = "d[ultra-fast-inserter]",
        place_result = "ultra-fast-inserter",
        stack_size = 50,
    },
    {
        type = "recipe",
        name = "ultra-fast-inserter",
        enabled = false,
        ingredients =
        {
            {"fast-inserter", 2},
            {"advanced-circuit", 1},
        },
        result = "ultra-fast-inserter",
    },
}

data_extend(UltraFastInserter)